Subject: Re: [PATCH] powerpc: disable MSI using new interface if possible

From: Michael Ellerman <[email-masked]>
Date: Thu, 10 Mar 2011 14:35:21 +1100

On Wed, 2011-03-09 at 16:28 -0800, Joe Perches wrote:
> On Thu, 2011-03-10 at 10:12 +1100, Michael Ellerman wrote:
> > True my last patch may have been two years ago, but I _wrote the entire
> > file_, and essentially no one else has ever touched it.
> > 
> > > $ ./scripts/get_maintainer.pl -f arch/powerpc/platforms/pseries/msi.c
> > > Benjamin Herrenschmidt <[email-masked]> (supporter:LINUX FOR POWERPC...)
> > > Paul Mackerras <[email-masked]> (supporter:LINUX FOR POWERPC...)
> > > Grant Likely <[email-masked]> (maintainer:OPEN FIRMWARE AND...)
> > > [email-masked] (open list:LINUX FOR POWERPC...)
> > > [email-masked] (open list)
> > > [email-masked] (open list:OPEN FIRMWARE AND...)
> > > 
> > > If you don't like how it currently works, suggest
> > > improvements.
> > 
> > I think I was suggesting that I should be in that list :)
> 
> $ ./scripts/get_maintainer.pl -f --git-blame arch/powerpc/platforms/pseries/msi.c
> Benjamin Herrenschmidt <[email-masked]> (supporter:LINUX FOR POWERPC...,commits:8/11=73%)
> Paul Mackerras <[email-masked]> (supporter:LINUX FOR POWERPC...,commits:4/11=36%)
> Grant Likely <[email-masked]> (maintainer:OPEN FIRMWARE AND...)
> Michael Ellerman <[email-masked]> (authored lines:481/481=100%,commits:11/11=100%)
> Linas Vepstas <[email-masked]> (commits:1/11=9%)
> [email-masked] (open list:LINUX FOR POWERPC...)
> [email-masked] (open list)
> [email-masked] (open list:OPEN FIRMWARE AND...)

That's awesome. But it's not the default, so hardly anyone will ever use
it :)

cheers